<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.webservices.client-config.pre-handler-chain.handler" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="class"/>
        <elem name="addr-params" value="profile,subsystem,client-config,pre-handler-chain,handler"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.webservices"/>
    </annotation>
    <refs>
        <ref feature="subsystem.webservices.client-config.pre-handler-chain"/>
        <ref feature="subsystem.webservices.client-config"/>
        <ref feature="subsystem.webservices"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="client-config" feature-id="true"/>
        <param name="pre-handler-chain" feature-id="true"/>
        <param name="subsystem" feature-id="true" default="webservices"/>
        <param name="handler" feature-id="true"/>
        <param name="class" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
    </params>
</feature-spec>